%define		major		1
%define		libname		%mklibname pugixml %{major}
%define		develname	%mklibname pugixml -d

Name:		pugixml
Version:	1.15
Release:	%mkrel 1
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries
License:	MIT
URL:		https://pugixml.org
Source0:	https://github.com/zeux/pugixml/releases/download/v%{version}/%{name}-%{version}.tar.gz
# enable long long support needed for filezilla
Patch0:		pugixml-1.15-enable-long_long-support.patch
BuildRequires:	cmake

%description
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{libname}
Summary:	A light-weight C++ XML processing library
Group:		System/Libraries

%description -n %{libname}
pugixml is a light-weight C++ XML processing library.
It features:
- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

%package -n %{develname}
Summary:	Development files for %{name} library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for package %{name} library.

%prep
%autosetup -p1

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc readme.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc docs/*
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/pugixml.pc
%{_includedir}/*.hpp


%changelog
* Sat Feb 08 2025 daviddavid <daviddavid> 1.15-1.mga10
+ Revision: 2146061
- new version: 1.15

* Mon Oct 02 2023 daviddavid <daviddavid> 1.14-1.mga10
+ Revision: 1993103
- new version: 1.14

* Mon Nov 14 2022 daviddavid <daviddavid> 1.13-1.mga9
+ Revision: 1907130
- new version: 1.13

* Sat Aug 27 2022 papoteur <papoteur> 1.12.1-1.mga9
+ Revision: 1880929
- new 1.12.1

* Thu Mar 17 2022 umeabot <umeabot> 1.11.4-2.mga9
+ Revision: 1795381
- Mageia 9 Mass Rebuild

* Thu Dec 24 2020 daviddavid <daviddavid> 1.11.4-1.mga8
+ Revision: 1663410
- new version: 1.11.4

* Sat Dec 19 2020 daviddavid <daviddavid> 1.11.3-1.mga8
+ Revision: 1661189
- new version: 1.11.3

* Mon Dec 07 2020 daviddavid <daviddavid> 1.11.1-1.mga8
+ Revision: 1654081
- new version: 1.11.1
- remove merged upstream patch

* Fri Dec 04 2020 luigiwalser <luigiwalser> 1.11-2.mga8
+ Revision: 1652439
- add upstream fix for building against this library

* Wed Dec 02 2020 daviddavid <daviddavid> 1.11-1.mga8
+ Revision: 1651510
- new version: 1.11

* Tue Oct 27 2020 daviddavid <daviddavid> 1.10-3.mga8
+ Revision: 1639783
- enable long long support needed for filezilla

* Sun Feb 16 2020 umeabot <umeabot> 1.10-2.mga8
+ Revision: 1532175
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 16 2019 daviddavid <daviddavid> 1.10-1.mga8
+ Revision: 1441833
- new version: 1.10

* Sun Sep 23 2018 umeabot <umeabot> 1.9-3.mga7
+ Revision: 1300401
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 daviddavid <daviddavid> 1.9-2.mga7
+ Revision: 1245170
- backport some upstream fixes thus installing a pkgconfig file

* Sat Apr 07 2018 daviddavid <daviddavid> 1.9-1.mga7
+ Revision: 1215850
- new version: 1.9

* Wed Jul 19 2017 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1125098
- new version: 1.8.1
- use new rpm macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 1.7-1.mga6
+ Revision: 902105
- new version: 1.7

* Fri Aug 28 2015 daviddavid <daviddavid> 1.6-3.mga6
+ Revision: 870536
- build with -std=gnu++11 to enable 'long long' support

* Fri Aug 28 2015 fwang <fwang> 1.6-2.mga6
+ Revision: 870477
- rebuild for gcc5

* Sat Jul 25 2015 tv <tv> 1.6-1.mga6
+ Revision: 857453
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 746412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 687833
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 akien <akien> 1.4-3.mga5
+ Revision: 673646
- Use cp -a to preserve symlinks

* Mon Sep 08 2014 akien <akien> 1.4-2.mga5
+ Revision: 673593
- Fix libpugixml.so.1 not being a symlink

* Thu Aug 07 2014 fwang <fwang> 1.4-1.mga5
+ Revision: 660830
- update build script
- 1.4

* Fri Oct 18 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 517716
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 378306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 25 2012 fwang <fwang> 1.2-1.mga3
+ Revision: 236015
- imported package pugixml

